Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159688 - Minor namespace cleanup
Summary: Minor namespace cleanup
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: strace
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-07 00:22 UTC by Dmitry V. Levin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-08 20:45:40 UTC


Attachments (Terms of Use)
strace-4.5.11-alt-static.patch (deleted)
2005-06-07 00:25 UTC, Dmitry V. Levin
no flags Details | Diff
strace-20050607-alt-static.patch (deleted)
2005-06-08 10:30 UTC, Dmitry V. Levin
no flags Details | Diff

Description Dmitry V. Levin 2005-06-07 00:22:02 UTC
I found few functions in strace code which are defined but not used at all.
Also, several objects don't require global visibility and could be made static.

Comment 1 Dmitry V. Levin 2005-06-07 00:25:12 UTC
Created attachment 115178 [details]
strace-4.5.11-alt-static.patch

Proposed patch for cvs snapshot 20050603.

Comment 2 Dmitry V. Levin 2005-06-08 10:30:23 UTC
Created attachment 115217 [details]
strace-20050607-alt-static.patch

Rediffed for cvs snapshot 20050607.

Comment 3 Roland McGrath 2005-06-08 20:45:40 UTC
I put the patch in upstream.


Note You need to log in before you can comment on or make changes to this bug.